# Class CIM_SAPSAPDependency
extends CIM_Dependency

CIM_SAPSAPDependency is an association between one ServiceAccessPoint and another ServiceAccessPoint that indicates that the latter is required for the former to utilize or connect with its Service. For example, to print to a network printer, local Print Access Points must utilize underlying network-related SAPs, or ProtocolEndpoints, to send the print request.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SAPSAPDependency

## Direct Known Subclasses

CIM_ActiveConnection
CIM_BindsTo
CIM_EndpointForIPNetworkConnection
CIM_InboundVLAN
CIM_OutboundVLAN
CIM_SwitchPortPair

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | CIM_SAPSAPDependency is an association between one ServiceAccessPoint and another ServiceAccessPoint that indicates that the latter is required for the former to utilize or connect with its Service. For example, to print to a network printer, local Print Access Points must utilize underlying network-related SAPs, or ProtocolEndpoints, to send the print request.
UMLPackagePath | string | CIM::Core::Service
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SAPSAPDependency | CIM_ServiceAccessPoint
Dependent | CIM_SAPSAPDependency | CIM_ServiceAccessPoint

## Class Methods